Name:           vint
Version:        0.3.18
Release:        3%{?dist}
Summary:        Lint tool for Vim script Language

License:        MIT
URL:            https://github.com/Kuniwak/%{name}
Source0:        https://github.com/Kuniwak/%{name}/archive/v%{version}/%{name}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python3-ansicolor >= 0.2.4
BuildRequires:  python3-chardet >= 2.3.0
BuildRequires:  python3-coverage >= 3.7.1
BuildRequires:  python3-devel
BuildRequires:  python3-pytest
BuildRequires:  python3-pytest-cov >= 1.8.1
BuildRequires:  python3-PyYAML >= 3.11
BuildRequires:  python3-setuptools
Requires:       python3-ansicolor >= 0.2.4
Requires:       python3-chardet >= 2.3.0
Requires:       python3-PyYAML >= 3.11

%description
Vint is a Vim script Language Lint. The goal to reach for Vint is:
- Highly extensible
- Highly customizable
- High performance

%prep
%autosetup

# Remove shebang and preserve timestamp
sed -i.orig '1{\@^#!/usr/bin/env python@d}' %{name}/_bundles/vimlparser.py
touch -r %{name}/_bundles/vimlparser.py.orig %{name}/_bundles/vimlparser.py
rm -f %{name}/_bundles/vimlparser.py.orig

%build
%py3_build

%install
%py3_install

%check
PATH=$RPM_BUILD_ROOT%{_bindir}:$PATH \
    PYTHONPATH=$RPM_BUILD_ROOT%{python3_sitelib} \
    py.test-%{python3_version} -v test

%files
%license LICENSE.txt
%doc CONTRIBUTING.rst README.rst
%{_bindir}/%{name}
%{python3_sitelib}/*

%changelog
* Tue Jun 19 2018 Miro Hrončok <mhroncok@redhat.com> - 0.3.18-3
- Rebuilt for Python 3.7

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.18-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Fri Jan 05 2018 Filip Szymański <fszymanski@fedoraproject.org> - 0.3.18-1
- Update to 0.3.18 (#1531023)

* Fri Dec 01 2017 Filip Szymański <fszymanski@fedoraproject.org> - 0.3.17-1
- Update to 0.3.17

* Thu Nov 23 2017 Filip Szymański <fszymanski@fedoraproject.org> - 0.3.16-1
- Update to 0.3.16 (#1512919)

* Sun Nov 12 2017 Filip Szymański <fszymanski@fedoraproject.org> - 0.3.15-1
- Update to 0.3.15 (#1512244)

* Sat Oct 07 2017 Filip Szymański <fszymanski@fedoraproject.org> - 0.3.14-1
- Update to 0.3.14

* Wed May 31 2017 Filip Szymański <fszymanski@fedoraproject.org> - 0.3.13-1
- Update to 0.3.13

* Sat May 20 2017 Filip Szymański <fszymanski@fedoraproject.org> - 0.3.11-2
- Remove shebang from vint/_bundles/vimlparser.py

* Wed May 17 2017 Filip Szymański <fszymanski@fedoraproject.org> - 0.3.11-1
- Initial release
